#include <iostream>

using namespace std;

int main(){
    string str, new_str; // вводимая и изменённая строки
	int space = 0; // счётчик пробелов
	bool flag = false;

	while(true){
		cout << "Input string: " << endl;
		getline(cin, str); // ввод строки

		if (str.empty()){
			cout << "String can't be empty." << endl; // вывод сообщения об ошибке
			cout << "----------------------" << endl;
		}
		else {
			for (int i = 0; i < str.size(); i++){ // цикл на полную строку
				if (str[i] == ' '){ // если текущий символ является пробелом, то
					space++; // увеличичваем счётчик пробелов
				}
			}
			if (space == str.size()) { // если количество пробелов равно размеру стоки, то
				cout << "String have only spaces." << endl; // вывод сообщения об ошибке
				cout << "----------------------" << endl;
				space = 0; // сбрасываем счётчик пробелов
			}
			else { // если строка не пуста и не заполнена пробелами, то
				break; // останавливаем цикл
			}
		}
	}

	flag = false;

	for (int i = 0; i < str.size(); i++){ // цикл на полную вводимую строку
		if (str[i] == ' '){ // если текущий символ является пробелом, то
			if (flag){
				continue;
			}
			flag = true;
		}
		else {
			flag = false;
		}
		new_str.push_back(str[i]); // добавляем в изменённую строку символ
	}

	cout << "Output stroke: " << endl << new_str << endl; // вывод изменённой строки

	return 0; // успешное завершение программы
}
